SUBROUTINE SRK()
!Routine to actually run the SRK EOS calculations
!
! It obtains values of 3 of 4 variables (PVT) and Tc,Pc, and the accrentric factor from the dialog box
! It must provide a value of the missing variable while not changing the variables provided
! Minimal error checking is performed
! The following two statements incorporate this file into the overall project
use dfwin
use SRKGlobals


!*****************************************************************************************
!The following global variables are available to you.
!
!
!double precision	Pressure		Pressure given in the dialog box
!double precision	Volume			Specific Volume given in the dialog box
!double precision	Temperature		Pressure given in the dialog box
!double precision	TCrit			Critical Temperature given in the dialog box
!double precision	PCrit			Critical Pressure given in the dialog box
!double precision	Omega			Accentric Factor given in the dialog box (may be =0)


!You must assign a value to whichever variable from amongst  Pressure, Volume, Temperature was =0

!You will need to create some variables for use within your subroutine
!You may choose to create another subroutine INSIDE THIS FILE to handle equation solving

!You will need to first figure out what to solve for, and then branch to actually solve for that unknown
!That gives you three cases, two of which are trivial.  For the third, you will need to use Newton's method
!Remember to calculate the SRK parameters which you will use in all three cases.
!You will likely need to declare other variables to complete your program

!YOUR CODE STARTS HERE




!YOUR CODE ENDS HERE

END SUBROUTINE SRK


!YOUR ADDITIONAL SUBROUTINES AND/OR FUNCTIONS, IF USED, GO HERE